/**
 * @function follow
 * @description 关注店铺
 * @param {string} cvs_id 店铺唯一标识
 */
function follow(cvs_id) {
    ajax({
        data : {
            script_name : 'user',
            act : 'add_guanzhu',
            cvs_id : cvs_id,
        },
        success : cb_follow,
        type : 'GET',
    })
}

/**
 * @function cb_follow
 * @description 关注店铺回调函数
 * @param {string} data 服务器端返回的数据
 */
function cb_follow(data) {
    json = parse_result(data)
    if (json) {
        if (json.error <= 0) {
            var cvs_id = json.cvs_id
            open_toast(json.content)
            $('#shop_focus').html('生活圈')
            $('#follow_cvs_button').addClass('followed')
            $('#follow_button').html('-生活圈').addClass('followed')
            $('#shop_' + cvs_id).find('.follow_button').first().html('生活圈').addClass('followed')
            publish(CHANNEL_FOLLOW_SUPPLIER, cvs_id)
        }
    }
}

/**
 * @function unfollow
 * @description 取消关注店铺
 * @param {string} cvs_id 店铺唯一标识
 */
function unfollow(cvs_id) {
    ajax({
        data : {
            script_name : 'user',
            act : 'del_follow',
            cvs_id : cvs_id,
        },
        success : cb_unfollow,
        type : 'GET',
    })
}

/**
 * @function cb_unfollow
 * @description 取消关注店铺回调函数
 * @param {string} data 服务器端返回的数据
 */
function cb_unfollow(data) {
    json = parse_result(data)
    if (json) {
        if (json.error <= 0) {
            var cvs_id = json.cvs_id
            open_toast(json.content)
            $('#follow_cvs_button').removeClass('followed')
            $('#shop_focus').html('+生活圈')
            $('#follow_button').attr('follow_id', '').html('+生活圈').removeClass('followed')
            $('#shop_' + cvs_id).attr('follow_id', '').find('.follow_button').first().html('+生活圈').removeClass('followed')
            publish(CHANNEL_UNFOLLOW_SUPPLIER, cvs_id)
        }
    }
}