var cvs_region = new Object();

cvs_region.loadRegions = function(parent,type,cvs_id,target)
{
    ajax({
        data : {
            script_name : 'cvs_region',
            type : type,
            target : target,
            cvs_id :cvs_id,
            parent : parent,
        },
        success : cvs_region.response,
        type : 'GET',
    })
}


/* *
 * 载入指定的小区下所有的楼幢
 *
 * @village    integer 小区的编号
 * @selName     string  列表框的名称
 */
cvs_region.loadBuildingnos = function(village, selName)
{
  var objName = (typeof selName == "undefined") ? "selBuildingno" : selName;

  cvs_region.loadRegions(village, 2, objName);
}

/* *
 * 载入指定的楼幢下的单元
 *
 * @buildingno    integer     楼幢的编号
 * @selName string      列表框的名称
 */
cvs_region.loadUnits = function(buildingno, selName)
{
  var objName = (typeof selName == "undefined") ? "selUnits" : selName;

  cvs_region.loadRegions(buildingno, 3, objName);
}

/* *
 * 处理下拉列表改变的函数
 *
 * @obj     object  下拉列表
 * @type    integer 类型
 * @selName string  目标列表框的名称
 */
cvs_region.changed = function(obj,type,cvs_id,selName)
{
  var parent = obj.options[obj.selectedIndex].value;

  cvs_region.loadRegions(parent,type,cvs_id,selName);
}

cvs_region.response = function(result, text_result)
{
  result = JSON.parse(result);
  var sel = document.getElementById(result.target);

  sel.length = 1;
  sel.selectedIndex = 0;
  sel.style.display = (result.regions.length == 0 && result.type + 0 == 3) ? "none" : '';

  if (document.all)
  {
    sel.fireEvent("onchange");
  }
  else
  {
    var evt = document.createEvent("HTMLEvents");
    evt.initEvent('change', true, true);
    sel.dispatchEvent(evt);
  }

  if (result.regions)
  {
    for (i = 0; i < result.regions.length; i ++ )
    {
      var opt = document.createElement("OPTION");
      opt.value = result.regions[i].id;
      opt.text  = result.regions[i].region_name;

      sel.options.add(opt);
    }
  }
}
